/* 
dial.c 
ALICE V 2.0, January 1993
library functions for dialogue programming 
(C) Ralf Kaufmann 1993 
used C compiler: Pure C 
*/ 
 
/* Includefiles */ 
 
#define __GEMLIB_OLDNAMES
#include <gem.h> 
#include "language.h" 
#include "prvdef.h" 
#include "mewidi.h" 
#include "messages.h" 
#include "scancode.h" 
#include "rsc.h" 
 
/* References to global data defined elsewhere  */ 
extern  int   clocky;

// Funktionsprototypen
void display_time(short flag); 
 
/**********************/ 
/* Start of routines  */ 
/**********************/ 
 
 
 
 
/*---------------------------------------------------
	Main routine for handling dialogue boxes 
---------------------------------------------------*/ 
short handle_dial(OBJECT *dial_tree, short start_obj) 
{                                     				/* start function handle_dial */ 
  short	itemhit, ob_state = 0, x, y, w, h; 
 
  MOUSE_IS_ARROW;
  form_center(dial_tree, &x, &y, &w, &h); 
  form_dial(FMD_START, 0, 0, 0, 0, x, y, w, h); 
  objc_draw(dial_tree, ROOT, MAX_DEPTH, x, y, w, h); 
 
  itemhit = form_do(dial_tree, start_obj); 
 
  ob_state = dial_tree[itemhit].ob_state & ~SELECTED; 
  objc_change(dial_tree, itemhit, 0, x, y, w, h, ob_state, 0); 
  form_dial(FMD_FINISH, 0, 0, 0, 0, x, y, w, h); 
  display_time(clocky); 
  return (itemhit); 
}                                       			/* end function handle_dial */ 
 
/* end of file dial.c  */ 
 
